Bug 138262 - system freezes for minutes at a time when ACPI enabled
system freezes for minutes at a time when ACPI enabled
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-06 11:13 EST by David Juran
Modified: 2015-01-04 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: kernel-smp-2.6.12-1.1398_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-12 13:00:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
MagicSysRq log (180.50 KB, text/plain)
2004-11-06 11:14 EST, David Juran
no flags Details

  None (edit)
Description David Juran 2004-11-06 11:13:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
After booting my dual PIII with ACPI enabled, the system kept freezing
for a minute or so at a time. I tried to get a MagicSysRq call trace
while the system was hung but I'm not sure if the trace I got really
was from when the system hung of if it was generated afterwards. The
same moment I hit the key the system started responding again. Also
I'm not sure if it's complete since the system hung before the text
finished scrolling and this time it was dead for good. Anyway, I'm
attaching it here. 
If booting with the option acpi=off there are no problems at all. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot without acpi=off


Additional info:
Comment 1 David Juran 2004-11-06 11:14:03 EST
Created attachment 106251 [details]
MagicSysRq log
Comment 2 Len Brown 2004-11-18 23:33:17 EST
goes away if you boot with "acpi=off"?

If you boot with ACPI enabled, but rmmod thermal
and rmmod processor, does it go away?

Does /proc/interrupts show a bunch of acpi interrupts
after the failure?
Comment 3 David Juran 2004-11-20 06:55:24 EST
I have no such modules as thermal or processor, I believe the they are
compiled into the kernel. Also I the acpi interrupt count is still 0
after such a failure.
Comment 4 Dave Jones 2005-08-04 15:19:26 EDT
still a problem with the latest kernels ?
Comment 5 David Juran 2005-08-12 13:00:06 EDT
No, I can no longer reproduce this with kernel-smp-2.6.12-1.1398_FC4 (-:

Note You need to log in before you can comment on or make changes to this bug.